Akeneo\Tool\Bundle\ApiBundle\Entity\AuthCode:
    type: entity
    table: pim_api_auth_code
    fields:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    manyToOne:
        client:
            targetEntity: Akeneo\Tool\Bundle\ApiBundle\Entity\Client
            joinColumns:
                client_id:
                    referenceColumnName: id
                    onDelete: CASCADE
        user:
            targetEntity: Akeneo\UserManagement\Component\Model\User
            joinColumns:
                user_id:
                    referenceColumnName: id
                    onDelete: CASCADE
